Cannot upgrade ttrss

#1

I am trying to upgrade ttrss but it complains about:

Error: ttrss requires a more recent version of the moulinette

I have upgraded moulinette a few days ago.

Ttrss - maj impossible -une version plus récente de la moulinette
#2

moulinette: 2.2.1.1
moulinette-yunohost: 2.2.5
yunohost-admin: 2.2.1

#3

I don’t know if it’s the same problem, but there is a bug with auto update because www-data user doesn’t have a shell by default.
So you have to edit /etc/passwd, change www-data:x:33:33:www-data:/var/www:/usr/sbin/nologin by www-data:x:33:33:www-data:/var/www:/bin/sh and then you can update ttrss with the moulinette.

#4

In fact I just saw that I have the same issue with ttrss and searx. Maybe an update is coming ?

1 Like
#5

Maybe it’s related to the fact that I do not use EN as language:

`File “/usr/lib/python2.7/dist-packages/bottle.py”, line 862, in _handle

    return route.call(**args)

  File "/usr/lib/python2.7/dist-packages/bottle.py", line 1729, in wrapper

    rv = callback(*a, **ka)

  File "/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py", line 636, in wrapper

    return callback(*args, **kwargs)

  File "/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py", line 329, in messages

    del self.queues[s_id]

KeyError: '8b9aa41834240355ac01714ff2332a370de1411b'

INFO:moulinette.actionsmap:processing action [27426.44]: yunohost.tools.update

INFO:moulinette.core:untranslated key 'updating_apt_cache' for locale 'de'

--2016-05-10 19:51:33--  http://app.yunohost.org/list.json

Auflösen des Hostnamen »app.yunohost.org (app.yunohost.org)«... 37.187.18.36

Verbindungsaufbau zu app.yunohost.org (app.yunohost.org)|37.187.18.36|:80... verbunden.

HTTP-Anforderung gesendet, warte auf Antwort... 200 OK

Länge: 24533 (24K) [application/json]

In »»/var/cache/yunohost/repo/yunohost.json.tmp«« speichern.



     0K .......... .......... ...                             100%  124K=0.2s



2016-05-10 19:51:34 (124 KB/s) - »»/var/cache/yunohost/repo/yunohost.json.tmp«« gespeichert [24533/24533]



INFO:moulinette.core:untranslated key 'appslist_fetched' for locale 'de'

INFO:moulinette.actionsmap:processing action [27426.45]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [27426.46]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [27426.47]: yunohost.service.status

INFO:moulinette.actionsmap:processing action [27426.48]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [27426.49]: yunohost.tools.update

INFO:moulinette.core:untranslated key 'updating_apt_cache' for locale 'de'

--2016-05-10 19:52:11--  http://app.yunohost.org/list.json

Auflösen des Hostnamen »app.yunohost.org (app.yunohost.org)«... 37.187.18.36

Verbindungsaufbau zu app.yunohost.org (app.yunohost.org)|37.187.18.36|:80... verbunden.

HTTP-Anforderung gesendet, warte auf Antwort... 200 OK

Länge: 24533 (24K) [application/json]

In »»/var/cache/yunohost/repo/yunohost.json.tmp«« speichern.



     0K .......... .......... ...                             100%  150K=0.2s



2016-05-10 19:52:11 (150 KB/s) - »»/var/cache/yunohost/repo/yunohost.json.tmp«« gespeichert [24533/24533]



INFO:moulinette.core:untranslated key 'appslist_fetched' for locale 'de'

--2016-05-11 16:51:42--  http://app.yunohost.org/list.json

Auflösen des Hostnamen »app.yunohost.org (app.yunohost.org)«... 37.187.18.36

Verbindungsaufbau zu app.yunohost.org (app.yunohost.org)|37.187.18.36|:80... verbunden.

HTTP-Anforderung gesendet, warte auf Antwort... 200 OK

Länge: 24533 (24K) [application/json]

In »»/var/cache/yunohost/repo/yunohost.json.tmp«« speichern.



     0K .......... .......... ...                             100% 42.1K=0.6s



2016-05-11 16:51:46 (42.1 KB/s) - »»/var/cache/yunohost/repo/yunohost.json.tmp«« gespeichert [24533/24533]



WARNING:root:unable to upgrade apps: [Errno 1] ttrss braucht eine jüngstere Fassung von "moulinette"

INFO:moulinette.core:untranslated key 'app_upgrade_failed' for locale 'de'

INFO:moulinette.actionsmap:processing action [653.4]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [653.5]: yunohost.service.status

INFO:moulinette.actionsmap:processing action [653.6]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [653.7]: yunohost.domain.list

INFO:moulinette.actionsmap:processing action [653.8]: yunohost.tools.maindomain

INFO:moulinette.actionsmap:processing action [653.9]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [653.10]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [653.11]: yunohost.user.list

INFO:moulinette.actionsmap:processing action [653.12]: yunohost.tools.update

INFO:moulinette.core:untranslated key 'updating_apt_cache' for locale 'de'

--2016-05-11 17:02:47--  http://app.yunohost.org/list.json

Auflösen des Hostnamen »app.yunohost.org (app.yunohost.org)«... 37.187.18.36

Verbindungsaufbau zu app.yunohost.org (app.yunohost.org)|37.187.18.36|:80... verbunden.

HTTP-Anforderung gesendet, warte auf Antwort... 200 OK

Länge: 24533 (24K) [application/json]

In »»/var/cache/yunohost/repo/yunohost.json.tmp«« speichern.



     0K .......... .......... ...                             100% 62.4K=0.4s



2016-05-11 17:02:48 (62.4 KB/s) - »»/var/cache/yunohost/repo/yunohost.json.tmp«« gespeichert [24533/24533]



INFO:moulinette.core:untranslated key 'appslist_fetched' for locale 'de'

INFO:moulinette.actionsmap:processing action [653.13]: yunohost.tools.upgrade

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

INFO:moulinette.core:untranslated key 'license_undefined' for locale 'de'

WARNING:root:unable to upgrade apps: [Errno 1] ttrss braucht eine jüngstere Fassung von "moulinette"

INFO:moulinette.core:untranslated key 'app_upgrade_failed' for locale 'de'

`

#6

Same for me. Cant’ upgrade ttrss, need a newer moulinette. (Already post a message in french about that).
Any idea/someone to help us?

#7

the funniest thing it’s if you install a brand new yunohost 2.4 and you try to install TT Rss
it’s still not working

#8

Same here, TT RSS not updating, two other updates available (Docuwiki and Roundcube) don’t seem to go though the update process after TT RSS fails…

#9

Same. I’ve an update for Ttrss, Docuwiki and Wallabag. Cant do because of moulinette version.

My Debian was updated yesterday evening. So we need to wait a new package/update from Yunohost team I think.

#10

Hello,
Is there any solution for this problem now ?

#11

i can’t install any new application “nécessite une version plus récente de la moulinette” (an ealier version of the moulinette is needed). I’ve updated to 2.4 version (the process / documentation will come soon) and now everything is ok, I’ve got all up to date.

#12

Great, hopefully the documentation will be available soon.

#13

Thank you. It’s good to know the problem will be solved.

#14

Same problem on some apps here, I guess we just have to be patients :slight_smile:
Good luck to the devs !

#15

I can confirm that it works again with 2.4

#16

Hello,

Just be careful that 2.4 doesn’t support anymore armel architecture and so update is not possible due to dependency not available on this architecture (rspamd)

1 Like
#17

YunoHost 2.4 is now available, see corresponding posts: